=== debian/changelog ===
kimageannotator (0.3.2-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Aug 2020 22:10:07 -0400

kimageannotator (0.3.1-5) unstable; urgency=high

  * Let libkimageannotator-common to properly Breaks+Replaces
    older version of libkimageannotator0. (Closes: #964464)

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Jul 2020 17:03:47 -0400

kimageannotator (0.3.1-4) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 06 Jul 2020 10:41:40 -0400

kimageannotator (0.3.1-4~exp1) experimental; urgency=medium

  * Split translation files into separeate libkimageannotator-common
    package.

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Jun 2020 16:13:20 -0400

kimageannotator (0.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Jun 2020 16:07:53 -0400

kimageannotator (0.3.0.20200624-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Jun 2020 13:53:10 -0400

kimageannotator (0.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #956322)

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Apr 2020 16:41:00 -0400
