=== debian/changelog ===
kimageannotator (0.4.0-2) unstable; urgency=high

  * debian/patches: Add patch 0001 from upstream to properly
    handle library SONAME. (Closes: #977649)
  * debian/control: Bump libkcolorpicker version requirement
    to 0.1.5 to properly handle SONAME issue.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Dec 2020 22:29:08 -0500

kimageannotator (0.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Dec 2020 14:36:06 -0500

kimageannotator (0.3.2-2) unstable; urgency=medium

  * debian/: Fix some lintian warnings.
  * debian/patches/0001: Add patch from upstream trunk to make
    the zh_CN translation actually working.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Oct 2020 13:19:39 -0400
