=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  debhelper-compat (= 13),
  cmake (>= 3.5),
  qtbase5-dev,
- libkcolorpicker-dev (>= 0.1.4~),
+ libkcolorpicker-dev (>= 0.1.5~),
  qttools5-dev-tools,
  qttools5-dev,
  libqt5svg5-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ksnip/kImageAnnotator
 Vcs-Git: https://salsa.debian.org/debian/kimageannotator.git
