=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%kimageannotator-$1.tar.gz%" \
 https://github.com/ksnip/kimageannotator/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
