=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	kImageAnnotator_fr.ts
 	kImageAnnotator_fr_CA.ts
 	kImageAnnotator_gl.ts
+	kImageAnnotator_hr.ts
 	kImageAnnotator_hu.ts
 	kImageAnnotator_id.ts
 	kImageAnnotator_it.ts
@@ -18,6 +19,7 @@
 	kImageAnnotator_no.ts
 	kImageAnnotator_pl.ts
 	kImageAnnotator_pt.ts
+	kImageAnnotator_pt_BR.ts
 	kImageAnnotator_ru.ts
 	kImageAnnotator_sv.ts
 	kImageAnnotator_tr.ts
