=== debian/changelog ===
kimageannotator (0.5-0.1~mx21+1) mx; urgency=medium

  * New upstream release.
  * debian/control: Bump version requirement of kcolorpicker.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 29 May 2021 14:28:17 -0700

kimageannotator (0.4.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/patches: Drop patches, merged upstream.
  * debian/control: Bump version requirement of kcolorpicker.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Apr 2021 10:32:38 -0400
