=== debian/changelog ===
kimageannotator (0.5.2-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream backports release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 18 Oct 2021 15:05:32 -0400

kimageannotator (0.5.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Sep 2021 21:22:37 -0400

kimageannotator (0.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Sep 2021 22:51:16 -0400

kimageannotator (0.5.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Aug 2021 23:15:44 -0400

kimageannotator (0.5.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Aug 2021 14:25:15 -0400

kimageannotator (0.5.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Bump version requirement of kcolorpicker.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Aug 2021 23:44:06 -0400
