=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,9 @@
 	kImageAnnotator_pl.ts
 	kImageAnnotator_pt.ts
 	kImageAnnotator_pt_BR.ts
+	kImageAnnotator_ro.ts
 	kImageAnnotator_ru.ts
+	kImageAnnotator_si.ts
 	kImageAnnotator_sv.ts
 	kImageAnnotator_tr.ts
 	kImageAnnotator_uk.ts
