=== debian/changelog ===
kimageannotator (0.5.3-1) unstable; urgency=medium

  * New upstream release 0.5.3.
  * debian/shlibs: Tighten version requirement.

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Nov 2021 16:38:55 -0500

kimageannotator (0.5.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/libkimageannotator0.shlibs: Tighten version to latest.
  * debian/watch: Fix uscan grammar.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Nov 2021 09:09:38 -0500
