=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: kimageannotator
 Section: libs
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- cmake (>= 3.5),
+ cmake,
  qtbase5-dev,
  libkcolorpicker-dev (>= 0.1.6~),
  qttools5-dev-tools,
  qttools5-dev,
  libqt5svg5-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ksnip/kImageAnnotator
 Vcs-Git: https://salsa.debian.org/debian/kimageannotator.git
